DOWNLOAD "AUTO.BAS"
SET DEBUG LABEL
SET COM1 19,N,8,1
COUNTRY 061
CODEPAGE 850
SIZE 100 mm, 50 mm
SPEED 3
LOFFSET=20
FEEDIT=230
REM **************** FOR DEMO ON PAPER DENSITY IS 8, FOR SYTHETIC DENSITY=5
REM DENSITY 13
GAP 3 mm,0 mm
SET STRIPER OFF
SET CUTTER OFF
DIRECTION 0
CRASH$ = "0"
OPEN "MODE.MOD",0
MODESET$ = ""
SAUSER$ = ""
READ 0,MODESET$,SAUSER$
USELESS$=" "

IF MODESET$ = "8" THEN SIZE 40 mm, 20 mm
IF MODESET$ = "8" THEN GOTO TLA
IF MODESET$ = "2" THEN GOTO MODEII
IF MODESET$ = "3" THEN GOTO MODEIII
IF MODESET$ = "4" THEN GOTO INITIAL
IF MODESET$ = "5" THEN GOTO MODEV
IF MODESET$ = "1" THEN GOTO INITIAL

IF MODESET$ = "" THEN GOTO GETOUT
GOTO MODEV

:INITIAL
  CRASH$ = "0"
  CLS

  
  TEXT 416,5,"3",90,1,1,"-- CENTRE CABLE HERE --"
  BAR 300, 5, 4, 395
  TEXT LOFFSET+280,5,"3",90,1,1,"    SAFETY TEST TAG  "
  BAR 260, 5, 4, 395
  TEXT LOFFSET+240,5,"3",90,1,1,"PRODUCT:"
  BAR 140, 5, 4, 395
  TEXT LOFFSET+120,5,"3",90,1,1,"DATE:"
  BAR 100, 5, 4, 395
  IF MODESET$ = "1" THEN TEXT LOFFSET+80,5,"3",90,1,1,"USER:"
  IF MODESET$ = "4" THEN TEXT LOFFSET+80,5,"3",90,1,1,"INSPECTOR:"
  BAR 60, 5, 4, 395
  TEXT LOFFSET+40,5,"3",90,1,1,"TEST STATUS:"
  BAR 20, 5, 4, 395

:START
  CRASH$ = "0"
  USELESS$=" "
  INPUT USELESS$
  IF LEN (USELESS$)<7 THEN GOTO START  
  IF MID$(USELESS$,1,7)="AJT4321" THEN GOSUB LOGDATE
  IF MID$(USELESS$,1,7)="AJT4322" THEN GOSUB LOGDENSITY
  IF MID$(USELESS$,1,7)="OJH1234" THEN CRASH$ = "123"
  IF CRASH$ = "123" THEN GOTO GETOUT
  CRASH$ = "0"
  IF MID$ (USELESS$,1,6)="Tested" THEN GOTO ITSSTL
  IF MID$ (USELESS$,1,4)="TEST" THEN GOTO ITSASQ
  IF LEN (USELESS$)<32 THEN GOTO START
  IF LEN (USELESS$)=32 THEN GOTO SAPPL
  IF MID$ (USELESS$,1,5)="RIGEL" THEN GOTO ITSRIGEL
  IF MID$ (USELESS$,2,5)="RIGEL" THEN GOTO ITSRIGEL
  IF MID$ (USELESS$,1,7)="SUMMARY" THEN GOTO ITSRNEXT
  IF MID$ (USELESS$,2,7)="SUMMARY" THEN GOTO ITSRNEXT
  IF MID$(USELESS$,4,3)="===" THEN GOTO SAPPL
  I = 1

:CHCKSTRG
    IF MID$(USELESS$,I,1)="=" THEN GOTO SAPPL
  I = I+1
  IF I > LEN(USELESS$) THEN GOTO START
  GOTO CHCKSTRG

  GOTO START

:SAPPL
  INPUT USELESS$
  NOTOP = 1
  FOR I = 1 TO 30 STEP 1
  IF MID$ (USELESS$,I,1) = "2" THEN NOTOP = 2
  NEXT
:RDREST
  INPUT USELESS$
  IF MID$(USELESS$,3,4)="PROD" THEN GOTO LABELOK
  IF MID$(USELESS$,3,4)="APPL" THEN GOTO LABELOK
  GOTO RDREST
:LABELOK
  CRASH$ = "0"
  APPL$ = ""
  INPUT APPL$   	
  APPL$=MID$(APPL$,16,15)
  INPUT USELESS$
  INPUT USELESS$
  INPUT DATE$
  
  DATE$=MID$(DATE$,21,10)
  IF MID$(DATE$,1,1) = "3" THEN GOTO RDMORE
  IF MID$(DATE$,1,1) = "2" THEN GOTO RDMORE
  IF MID$(DATE$,1,1) = "1" THEN GOTO RDMORE
  IF MID$(DATE$,1,1) = "0" THEN GOTO RDMORE

  GOTO START

:ITSSTL
  IF RIGHT$(USELESS$,4) = "Pass" THEN TEST$ = "      PASS" ELSE TEST$ = "      FAIL"
  INPUT APPL$
  APPL$ = "     " + RIGHT$(APPL$,10)
  INPUT DATE$
  DATE$ = "  " + RIGHT$(DATE$,8)
  NOTOP = 1
  GOTO PRNLBL

:RDMORE
  IF MODESET$ = "4" THEN GOSUB AMERICAN
  INPUT USELESS$
  INPUT USELESS$
  INPUT USER$
  USER$=MID$(USER$,21,10)
  INPUT USELESS$
  INPUT USELESS$
  INPUT TEST$
  TEST$=MID$(TEST$,21,10)
  INPUT USELESS$
  INPUT USELESS$
  INPUT DUE$   
  INPUT USELESS$

:PRNLBL
  FAIL$="FALSE"
  IF TEST$="      FAIL" THEN FAIL$="TRUE"
  IF FAIL$="TRUE" THEN PUTPCX 435,19,"FAIL.PCX" ELSE PUTPCX 435,19,"LOGO1.PCX"  
  TEXT LOFFSET+240,130,"3",90,1,1,APPL$
  GOSUB FINDBC
  BARCODE LOFFSET+210,20,"128",80,0,90,2,2,BCODE$
  TEXT LOFFSET+120,210,"3",90,1,1,DATE$
  IF MODESET$ = "6" THEN GOTO SKPUSR ELSE TEXT LOFFSET+80,210,"3",90,1,1,USER$

:SKPUSR
  TEXT LOFFSET+40,210,"3",90,1,1,TEST$
  BACKUP FEEDIT
  PRINT 1
  FEED FEEDIT
  IF NOTOP = 2 THEN GOTO SECONDPRN
  CLS
  GOTO INITIAL

:SECONDPRN
  CLS

  BAR 305, 5, 4, 395
  TEXT LOFFSET+10,390,"3",270,1,1,"M4   SAFETY TEST TAG"
  BAR 265, 5, 4, 395
  TEXT LOFFSET+50,390,"3",270,1,1,"PRODUCT: "
  BAR 225, 5, 4, 395
  TEXT LOFFSET+170,390,"3",270,1,1,"DATE:"
  BAR 185, 5, 4, 395
  TEXT LOFFSET+210,390,"3",270,1,1,"USER:"
  BAR 60, 5, 4, 395
  TEXT LOFFSET+250,390,"3",270,1,1,"TEST STATUS:"
  BAR 20, 5, 4, 395

  IF FAIL$="TRUE" THEN PUTPCX 435,19,"FAIL.PCX" ELSE PUTPCX 435,19,"LOGO1.PCX"
  TEXT LOFFSET+50,275,"3",270,1,1,APPL$
  BARCODE LOFFSET+160,20,"128",80,0,90,2,2,BCODE$
   TEXT LOFFSET+170,200,"3",270,1,1,DATE$
   TEXT LOFFSET+210,200,"3",270,1,1,USER$
   TEXT LOFFSET+250,200,"3",270,1,1,TEST$
  BACKUP FEEDIT
  PRINT 1
  FEED FEEDIT
  GOTO INITIAL

:MODEII
:ITSRIGEL
:ITSRNEXT
  INPUT DATE$
  USELESS$ = DATE$
  IF MID$(USELESS$,1,7)="AJT4321" THEN GOSUB LOGDATE
  IF MID$(USELESS$,1,7)="AJT4322" THEN GOSUB LOGDENSITY
  IF MID$(USELESS$,1,7)="OJH1234" THEN CRASH$ = "123"
  IF CRASH$ = "123" THEN GOTO GETOUT
  CRASH$ = "0"

  IF MID$(DATE$,1,4) = "DATE" THEN GOTO RDAPPLS
  GOTO ITSRNEXT

:RDAPPLS
  DATE$ = MID$(DATE$,7,10)
:APPLSC
  INPUT  APPL$
  IF MID$(APPL$,7,9) = "APPLIANCE" THEN GOTO RDAPDP
  GOTO APPLSC

:RDAPDP
  APPL$ = MID$(APPL$,26,10)
:APDPSC
  INPUT APDP$
  IF MID$(APDP$,3,7) = "APPLIED" THEN GOTO RDSITE
  GOTO APDPSC

:RDSITE
  APDP$ = MID$(APDP$,26,10)
:SITESC
  INPUT SITE$
  IF MID$(SITE$,12,4) = "SITE" THEN GOTO RDLOC
  GOTO SITESC

:RDLOC
  SITE$ = MID$(SITE$,26,10)
:LOCSC
  INPUT LOC$
  IF MID$(LOC$,8,8) = "LOCATION" THEN GOTO RDUSER
  GOTO LOCSC

:RDUSER
  LOC$ = MID$(LOC$,26,10)
:USERSC
  INPUT USER$
  IF MID$(USER$,12,4) = "USER" THEN GOTO RDTTYPE
  GOTO USERSC

:RDTTYPE
  USER$ = MID$(USER$,26,10)
:TTYPESC
  INPUT TTYPE$
  IF MID$(TTYPE$,4,4) = "TEST" THEN GOTO RDTEST
  GOTO TTYPESC

:RDTEST
  TTYPE$ = MID$(TTYPE$,22,14)
:TESTSC
  INPUT TEST$
  IF MID$ (TEST$,9,4) = "TEST" THEN GOTO DATCOMP
  GOTO TESTSC

:DATCOMP
  TEST$ = MID$(TEST$,28,10)
  DUE$ = "  DUE DATE"
REM  GOTO PRNLBL

  CLS
  TEXT 416,5,"3",90,1,1,"-- CENTRE CABLE HERE --"
  TEXT LOFFSET+320,5,"3",90,1,1,"M3    SAFETY TEST TAG    "

  BAR 300, 5, 4, 395
  TEXT LOFFSET+280,5,"3",90,1,1,"PRODUCT ID:"
  BAR 260, 5, 4, 395
  TEXT LOFFSET+240,5,"3",90,1,1,"TEST TYPE:"
  BAR 220, 5, 4, 395
  TEXT LOFFSET+200,5,"3",90,1,1,"DATE:"
  BAR 180, 5, 4, 395
  TEXT LOFFSET+160,5,"3",90,1,1,"SITE:"
  BAR 140, 5, 4, 395
  TEXT LOFFSET+120,5,"3",90,1,1,"LOCATION:"
  BAR 100, 5, 4, 395
  TEXT LOFFSET+80,5,"3",90,1,1,"USER:"
  BAR 60, 5, 4, 395
  TEXT LOFFSET+40,5,"3",90,1,1,"TEST STATUS:"
  BAR 20, 5, 4, 395

  FAIL$="FALSE"
  IF TEST$="      FAIL" THEN FAIL$="TRUE"
  IF FAIL$="TRUE" THEN PUTPCX 435,19,"FAIL.PCX" ELSE PUTPCX 435,19,"LOGO1.PCX"
  TEXT LOFFSET+280,210,"3",90,1,1,APPL$
  GOSUB FINDBC
  BARCODE LOFFSET+690,380,"39",80,0,270,2,4,BCODE$
  TEXT LOFFSET+660,384,"3",270,1,1,"PRODUCT ID"

  TEXT LOFFSET+240,160,"3",90,1,1,TTYPE$
  TEXT LOFFSET+200,210,"3",90,1,1,DATE$
  TEXT LOFFSET+160,210,"3",90,1,1,SITE$
  TEXT LOFFSET+120,210,"3",90,1,1,LOC$
  TEXT LOFFSET+80,210,"3",90,1,1,USER$
  TEXT LOFFSET+40,210,"3",90,1,1,TEST$
  BACKUP FEEDIT
  PRINT 1
  FEED FEEDIT
  GOTO MODEII

:GETOUT
  IF LEN (USELESS$)>7 THEN GOTO START
  IF MID$(USELESS$,1,7)="OJH1234" THEN GOTO PRGM
  GOTO START
:PRGM
  IF CRASH$ = "0" THEN GOTO START
  IF CRASH$ = "123" THEN GOTO TERM
  GOTO START
:TERM
  IF CRASH$ = "0" THEN GOTO START
  IF MID$(USELESS$,1,1)=" " THEN GOTO START
  IF ASC(MID$(USELESS$,1,1))<40 THEN GOTO START

  CLS
  TEXT 5,50,"3",0,1,1,"****************************************"
  TEXT 5,80,"3",0,1,1,"* PROGRAM TERMINATED                   *"
  TEXT 5,110,"3",0,1,1,"* NOW IN PROGRAMMING MODE              *"
  TEXT 5,140,"3",0,1,1,"****************************************"
  CRASH$ = "0"
  BACKUP FEEDIT
  PRINT 1
  FEED FEEDIT
  CLS

END
:FINDBC
  BCODE$=""
  BCSTART=16
  FLSTART=0
  FOR COUNTER=1 TO 15
    IF FLSTART=1 THEN GOTO SPACE
    IF ASC(MID$(APPL$,COUNTER,1))=32 THEN GOTO SPACE
      FLSTART=1
      BCSTART=COUNTER
    :SPACE
  NEXT
  BCODE$=MID$(APPL$,BCSTART,16-BCSTART)
RETURN

:MODEIII

:MODECONT
  SET KEY2 OFF

:SAINITIAL
  CLS
  TEXT 416,5,"3",90,1,1,"-- CENTRE CABLE HERE --"
  BAR 300, 5, 4, 395
  TEXT LOFFSET+280,5,"3",90,1,1,"M2  SAFE CHECK TEST TAG  "
  BAR 260, 5, 4, 395
  TEXT LOFFSET+240,5,"3",90,1,1,"PRODUCT:"
  BAR 140, 5, 4, 395
  TEXT LOFFSET+120,5,"3",90,1,1,"DATE:"
  BAR 100, 5, 4, 395
  TEXT LOFFSET+80,5,"3",90,1,1,"USER:"
  BAR 60, 5, 4, 395
  TEXT LOFFSET+40,5,"3",90,1,1,"TEST STATUS:"
  BAR 20, 5, 4, 395

:SASTART
  SET LED1 OFF
  SET LED3 OFF
  LED1 = 0
  LED3 = 0
  SET KEY1 ON
  SET KEY2 ON

  INPUT USELESS$
  IF USELESS$ = "" THEN GOTO SASTART
  IF ASC(MID$(USELESS$,1,1))<20 THEN GOTO SASTART
  IF MID$(USELESS$,1,7)="AJT4321" THEN GOSUB LOGDATE
  IF MID$(USELESS$,1,7)="AJT4322" THEN GOSUB LOGDENSITY
  IF MID$(USELESS$,1,7)="AJT4321" THEN GOTO SASTART
  IF MID$(USELESS$,1,7)="AJT4322" THEN GOTO SASTART
  IF MID$(USELESS$,1,3)="OJH" THEN CRASH$ = "123"
  IF MID$(USELESS$,1,7)="=======" THEN GOTO TESTLAB
  IF CRASH$ = "123" THEN GOTO GETOUT
  CRASH$ = "0"
  BEEP
  BEEP
  SET KEY1 OFF
  SET KEY2 OFF
  LDCOUNT = 10
  LEDSON = 1

:KYIN
  LED1 = LEDSON
  LED3 = LEDSON
  PF = KEY1
  IF PF = 1 THEN GOTO PSPRE
  PF = KEY2
  IF PF = 1 THEN GOTO FLPRE
  LDCOUNT = LDCOUNT - 1
  IF LDCOUNT = 0 THEN GOTO LEDSOFF
  GOTO KYIN

:LEDSOFF
  IF LEDSON = 0 THEN LEDSON = 1 ELSE LEDSON = 0
  LDCOUNT = 10
  GOTO KYIN

:FLPRE
  TEST$ = "      FAIL"
  LED1 = 0
  LED3 = 1
  GOTO SCF
:PSPRE
  TEST$ = "      PASS"
  LED3 = 0
  LED1 = 1
:SCF

  APPL$ = USELESS$
  DATE$ = "  "+ STR$ (DATE)+"/"+ STR$ (MONTH)+"/0"+ STR$ (YEAR)
REM  DATE$ = STR$ (HOUR)+"/"+ STR$ (MINUTE)+"/"+ STR$ (SECOND)

  USER$ = SAUSER$
REM  TEST$ = "PASS"
  NOTOP = 1
  GOTO SAPRNLBL

:SAPRNLBL
  FAIL$="FALSE"
  IF TEST$="      FAIL" THEN FAIL$="TRUE"
  IF FAIL$="TRUE" THEN PUTPCX 435,19,"FAIL.PCX" ELSE PUTPCX 435,19,"LOGO1.PCX"
  TEXT LOFFSET+240,150,"3",90,1,1,APPL$
  GOSUB FINDBC
  BARCODE LOFFSET+130,380,"128",80,0,270,2,2,BCODE$
  TEXT LOFFSET+120,210,"3",90,1,1,DATE$
  TEXT LOFFSET+80,210,"3",90,1,1,USER$
  TEXT LOFFSET+40,210,"3",90,1,1,TEST$
  BACKUP FEEDIT
  PRINT 1
  FEED FEEDIT
  GOTO SAINITIAL

:MODEV
REM  This label requires "LIST" format from tester
:ITSASQ
  OVERALL$ = "PASS"
  DATE$ = " "
  APPL$ = " "
  USER$ = " "
  VIS$ = " "
  EARTH$ = " "
  INS$ = " "
  FLASH$ = " "
  LKGE$ = " "
  LOAD$ = " "
  TEMP$ = " "
  FLASHV$ = " 1250V: "
  PRESS = 0
  LEDSON = 0
  TIMER = 15
  SET KEY1 OFF
  SET LED2 OFF
  LED2 = 1



  INPUT USELESS$
  IF MID$(USELESS$,1,7)="AJT4321" THEN GOSUB LOGDATE
  IF MID$(USELESS$,1,7)="AJT4322" THEN GOSUB LOGDENSITY
  IF MID$(USELESS$,1,7)="OJH1234" THEN CRASH$ = "123"
  IF CRASH$ = "123" THEN GOTO GETOUT
  CRASH$ = "0"

  IF MID$(USELESS$,1,4) = "DATE" THEN GOTO LSTSTART
  IF MID$(USELESS$,1,11) = "END OF DATA" THEN GOTO LSTEND
  GOTO ITSASQ

:LSTSTART
  DATE$ = RIGHT$(USELESS$,9)
  INPUT USELESS$
  APPL$ = RIGHT$(USELESS$,15)

:LSTSTRT
  INPUT USELESS$
  IF MID$(USELESS$,1,4) = "USER" THEN USER$ = RIGHT$(USELESS$,10)
  IF MID$(USELESS$,1,4) = "USER" THEN USELESS$ = " "

  IF RIGHT$(USELESS$,1) = "F" THEN OVERALL$ = "FAIL"

  IF MID$(USELESS$,1,6) = "VISUAL CHECK" THEN TEMP$ = RIGHT$(USELESS$,1)
    IF TEMP$ = "P" THEN VIS$ = "PASS"
    IF TEMP$ = "F" THEN VIS$ = "FAIL"

  IF MID$(USELESS$,1,5) = "EARTH" THEN EARTH$ = RIGHT$(USELESS$,13)
    IF RIGHT$(EARTH$,1) = "S" THEN FLASHV$ = " 2500V: "
    IF RIGHT$(EARTH$,1) = "S" THEN EARTH$ = " "
    EARTH$  =  MID$(EARTH$,1,11)
 
  IF MID$(USELESS$,1,3) = "INS" THEN INS$ = MID$(USELESS$,6,11)
  IF MID$(USELESS$,1,5) = "FLASH" THEN FLASH$ = MID$(USELESS$,8,9)
  IF MID$(USELESS$,1,4) = "LKGE" THEN LKGE$ = MID$(USELESS$,8,9)
  IF MID$(USELESS$,1,4) = "LOAD" THEN LOAD$ = MID$(USELESS$,8,9)
  IF MID$(USELESS$,1,11) = "END OF DATA" THEN GOTO LSTEND

  GOTO LSTSTRT

:LSTEND

:WAITKEY

  REM  LED2 = LEDSON
  REM  SOUND 9,300
  REM  IF LEDSON = 0 THEN LEDSON = 1 ELSE LEDSON = 0
  REM  IF TIMER = 0 THEN GOTO NOFLASH
  REM  TIMER = TIMER - 1
  REM  IF KEY1 = 1 THEN TEMP$ = "ON"
  REM  IF KEY1 = 0 THEN IF TEMP$ = "ON" THEN PRESS = PRESS + 1
  REM  IF KEY1 = 0 THEN TEMP$ = "OFF"
 
  REM  GOTO WAITKEY

  TIMER = 0
  PRESS = 2

  GOTO NOFLASH


:NOFLASH
  IF PRESS = 0 THEN GOTO MODEV

  IF RIGHT$(FLASH$,1) = " " THEN FLASHV$ = " "


  CLS
  IF OVERALL$="FAIL" THEN PUTPCX 435,19,"FAIL.PCX" ELSE PUTPCX 435,19,"LOGO1.PCX"
  TEXT 320,7,"3",90,1,1,"USER ID:    " + USER$
  TEXT 290,7,"3",90,1,1,"DATE:        " + DATE$
  TEXT 260,7,"3",90,1,1,"FLEET:" + APPL$
  TEXT 220,7,"3",90,1,1,"OVERALL STATUS:   " + OVERALL$
  BOX 230,3,185,390,5
  TEXT 180,7,"3",90,1,1,"VISUAL CHECK:     " + VIS$
  TEXT 150,7,"3",90,1,1,"EARTH BOND:" + EARTH$
  TEXT 120,7,"3",90,1,1,"INSULATION:" + INS$
  TEXT 90,7,"3",90,1,1,"FLASH" + FLASHV$ + FLASH$
  TEXT 60,7,"3",90,1,1,"LEAKAGE:     " + LKGE$
  TEXT 30,7,"3",90,1,1,"LOAD:        " + LOAD$

  BACKUP FEEDIT
  PRINT 1
  FEED FEEDIT

  GOTO MODEV

:TLA
  INPUT USELESS$
  IF MID$(USELESS$,1,7)="AJT4321" THEN GOSUB LOGDATE
  IF MID$(USELESS$,1,7)="AJT4322" THEN GOSUB LOGDENSITY
  IF MID$(USELESS$,1,7)="OJH1234" THEN CRASH$ = "123"
  IF CRASH$ = "123" THEN GOTO GETOUT
  CRASH$ = "0"

REM  USER$ = RIGHT$(SAUSER$,13)
  IF MID$(USELESS$,1,6) = "Tested" THEN OVERALL$ = RIGHT$(USELESS$,4)
  IF MID$(USELESS$,1,3) = "S/N" THEN APPL$ = RIGHT$(USELESS$,10)
  IF MID$(USELESS$,1,5) = "Dated" THEN DATE$ = RIGHT$(USELESS$,8)
  IF MID$(USELESS$,1,5) = "Dated" THEN GOTO TLAPRN

  GOTO TLA

:TLAPRN
  CLS
  TEXT 15,7,"3",0,1,1,"COMPANY:" + SAUSER$
  TEXT 15,32,"3",0,1,1,"DATE   :  " + DATE$
  TEXT 15,57,"3",0,1,1,"SERIAL :" + APPL$
  TEXT 15,82,"3",0,1,1,"STATUS :      " + OVERALL$
  BACKUP 210
  PRINT 1
  FEED 210

  GOTO TLA

:LOGDATE
  INPUT DATE$
  DAY$ = MID$(DATE$,1,2)
  MONTH$ = MID$(DATE$,4,2)
  YEAR$ = MID$ (DATE$,7,2)
  DATE = VAL(DAY$)
  MONTH = VAL (MONTH$)
  YEAR = VAL (YEAR$)

  RETURN
  
:LOGDENSITY
  DENS$ = ""
  INPUT DENS$
  IF VAL(DENS$)<1 THEN RETURN
  IF VAL(DENS$)>15 THEN RETURN
  DENSITY VAL(DENS$)
  RETURN

:TESTLAB
  I = 17

:ILOOP
  INPUT USELESS$
  I = I - 1
  IF I > 0 THEN GOTO ILOOP
  USELESS$="TEST LABEL"
  GOTO PSPRE

:AMERICAN
  TDAY$ = MID$(DATE$,1,2)
  TMONTH$ = MID$(DATE$,4,2)
  TDATE$ = TMONTH$ + "/" + TDAY$ + MID$(DATE$,6,5)
  DATE$ = TDATE$
  RETURN

EOP
MOVE
